Bug 69048 - suphp update (0.5.2), plus unofficial Apache 2 fix
suphp update (0.5.2), plus unofficial Apache 2 fix
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: clement
Depends on:
  Show dependency treegraph
Reported: 2004-07-14 11:10 UTC by freebsd
Modified: 2004-07-15 23:14 UTC (History)
1 user (show)

See Also:

file.diff (2.06 KB, patch)
2004-07-14 11:10 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2004-07-14 11:10:36 UTC
	Update port to use suphp 0.5.2 (official stable release).

	In addition, this includes a new patch for suphp, which fixes Apache 2.x support.
	This is presently an "unofficial" fix, but it's literally the only way to get
	suphp to work on Apache 2.x.  I have submitted this issue for discussion on
	the suphp mailing list, and I have also fired off a private Email to the Apache
	APR developer who submitted the APR code in question.  For further details, see
	the following URL:


	Workaround patch tested on -STABLE and -CURRENT using Apache 2.0.50.

	Finally, updated the port a little bit to rely on the new bsd.php.mk framework.
	Also, we don't require gmake to build this; BSD make works great.  We DO, however,
	need CGI-based PHP for suphp to work (module and CLI will break).

	Maintainer has been CC'd in this send-pr, in hopes of his approval (hi Clement! LTNS :) )

How-To-Repeat: 	Not applicable.
Comment 1 clement freebsd_committer 2004-07-14 11:28:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Grab ;-)
Comment 2 clement freebsd_committer 2004-07-15 23:13:52 UTC
State Changed
From-To: open->closed

Committed, thanks Jeremy! 
It's yours now, take good care of it ;)